#pragma once

#include "CoreMinimal.h"
#include "StoreFeaturedRecommendation.h"
#include "StoreFeaturedCardRecommendationEntryData.h"
#include "StoreFeaturedCardRecommendationData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedCardRecommendationData : public FStoreFeaturedRecommendation
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FString InclusionVersion;

	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<FStoreFeaturedCardRecommendationEntryData> Entries;

public:
	DEADBYDAYLIGHT_API FStoreFeaturedCardRecommendationData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedCardRecommendationData) { return 0; }
